package jcg.demo.jaxws.service.impl;

import javax.jws.WebService;

import jcg.demo.jaxws.service.HelloService;

@WebService(endpointInterface = "jcg.demo.jaxws.service.HelloService")
public class HelloServiceImpl implements HelloService {

	private static final int ONE_MINUTES = 60000;

	@Override
	public String sayHello(String message) {

		try {
			Thread.sleep(ONE_MINUTES);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		System.out.println("Server sayHello to " + message);
		return "Hello " + message;
	}

}